SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001474SOGoOpenChange backendpublic2011-10-25 01:182013-09-27 13:02
Reporterrl7greg 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001474: package samba4 rpm to not conflict with samba3x... is it possible?
DescriptionHi, new to SOGo...

I sent this to the mailing list before I found there was a bug tracker. Not sure if there will be any response there, but it was this post - https://inverse.ca/sogo/lists/arc/users/2011-10/msg00265.html [^]

Anyways, just wondering if in a future version that the supplied samba4 rpm can be packaged to not conflict and be installable along with samba3x in CentOS5.

Also, could libtdb, libtalloc and tdb-tools be updated as their own packages or packaged that they don't conflict with the CentOS versions? Here is output from yum after attempting to install it:

Dependencies Resolved

================================================================================
 Package Arch Version Repository Size
================================================================================
Installing:
 samba4 i386 4.0.0-1.alpha17.el5.5 sogo-nightly-rhel5 35 M
 sogo i386 2.0_20111022-1.el5 sogo-nightly-rhel5 2.6 M
 sogo-openchange-backend
                      i386 2.0_20111022-1.el5 sogo-nightly-rhel5 193 k
 sogo-tool i386 2.0_20111022-1.el5 sogo-nightly-rhel5 32 k
 sope49-gdl1-mysql i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 32 k
Installing for dependencies:
 gnustep-base i386 1.23.0-1 sogo-nightly-rhel5 1.7 M
 gnustep-make i386 2.6.1-1 sogo-nightly-rhel5 202 k
 libevent i386 1.4.13-1 base 112 k
 libffi i386 3.0.10-1 sogo-nightly-rhel5 15 k
 libmemcached i386 0.34-1 sogo-nightly-rhel5 113 k
 libobjc i386 4.1.2-51.el5 base 104 k
 memcached i386 1.4.7-1.el5.rfx rpmforge-extras 79 k
 perl-AnyEvent i386 5.340-1.el5.rfx rpmforge-extras 360 k
 perl-Async-Interrupt i386 1.05-1.el5.rf rpmforge 74 k
 perl-EV i386 4.03-1.el5.rf rpmforge 367 k
 perl-Guard i386 1.021-1.el5.rf rpmforge 39 k
 perl-JSON noarch 2.50-1.el5.rf rpmforge 100 k
 perl-JSON-XS i386 2.30-1.el5.rf rpmforge 150 k
 perl-Parse-Yapp noarch 1.05-1.el5.rf rpmforge 46 k
 perl-TermReadKey i386 2.30-3.el5.rf rpmforge 55 k
 perl-YAML noarch 0.72-1.el5.rf rpmforge 84 k
 perl-common-sense i386 3.0-1.el5.rf rpmforge 22 k
 sope49-appserver i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 908 k
 sope49-cards i386 2.0_20111022-1.el5 sogo-nightly-rhel5 153 k
 sope49-core i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 328 k
 sope49-gdl1 i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 159 k
 sope49-gdl1-contentstore
                      i386 2.0_20111022-1.el5 sogo-nightly-rhel5 55 k
 sope49-ldap i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 46 k
 sope49-mime i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 276 k
 sope49-sbjson i386 2.3.1-20111022_1664.el5.1 sogo-nightly-rhel5 16 k
 sope49-xml i386 4.9-20111022_1664.el5.1 sogo-nightly-rhel5 207 k
Updating for dependencies:
 perl-Net-SSLeay i386 1.36-1.el5.rfx rpmforge-extras 316 k

Transaction Summary
================================================================================
Install 31 Package(s)
Upgrade 1 Package(s)

Total download size: 44 M
Is this ok [y/N]: y

....

Transaction Check Error:
  file /usr/lib/libtdb.so.1 from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package libtdb-1.2.1-6.el5.i386
  file /usr/lib/libtalloc.so.2 from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package libtalloc-2.0.1-11.el5.i386
  file /usr/bin/tdbbackup from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/bin/tdbdump from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/bin/tdbtool from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/share/man/man8/tdbbackup.8.gz from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/share/man/man8/tdbdump.8.gz from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/share/man/man8/tdbtool.8.gz from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package tdb-tools-1.2.1-6.el5.i386
  file /usr/bin/net from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/pdbedit from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/profiles from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbcontrol from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbcquotas from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbpasswd from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/testparm from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/lib/libnetapi.so.0 from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-common-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/ntlm_auth from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-winbind-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/wbinfo from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-winbind-3.5.4-0.83.el5_7.2.i386
  file /usr/lib/libwbclient.so.0 from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-winbind-3.5.4-0.83.el5_7.2.i386
  file /usr/sbin/winbindd from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-winbind-3.5.4-0.83.el5_7.2.i386
  file /usr/share/man/man1/ntlm_auth.1.gz from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-winbind-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/eventlogadm from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbstatus from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-3.5.4-0.83.el5_7.2.i386
  file /usr/sbin/nmbd from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-3.5.4-0.83.el5_7.2.i386
  file /usr/sbin/smbd from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/nmblookup from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/rpcclient from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/sharesec from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbcacls from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbclient from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbget from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbspool from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/bin/smbtree from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
  file /usr/share/man/man1/nmblookup.1.gz from install of samba4-4.0.0-1.alpha17.el5.5.i386 conflicts with file from package samba3x-client-3.5.4-0.83.el5_7.2.i386
Additional InformationI was looking at the samba4 spec file from Fedora that is made for
use with openchange (but for a different purpose than with sogo) and
it looks like they package it in a way that doesn't conflict with
samba3x. Here's a link to their spec file:
http://pkgs.fedoraproject.org/gitweb/?p=samba4.git;a=blob_plain;f=samba4.spec;hb=HEAD [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0006061)
ludovic (administrator)
2013-09-27 13:02

No interest in doing so.

- Issue History
Date Modified Username Field Change
2011-10-25 01:18 rl7greg New Issue
2012-07-23 11:03 ludovic Project SOGo => Funambol SOGo Connector
2012-07-23 11:03 ludovic Project Funambol SOGo Connector => SOGo Native Outlook Compatibility (obsolete)
2012-07-25 16:08 ludovic Target Version => 2.0
2012-07-27 14:00 ludovic Product Version Monotone / nightly =>
2012-07-27 14:00 ludovic Target Version 2.0 =>
2012-10-03 11:11 wsourdeau Project SOGo Native Outlook Compatibility (obsolete) => SOGo
2012-10-03 11:12 wsourdeau Category Backend General => OpenChange backend
2013-09-27 13:02 ludovic Note Added: 0006061
2013-09-27 13:02 ludovic Status new => closed
2013-09-27 13:02 ludovic Resolution open => won't fix


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker